using System;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Http;

namespace LoginApp.Pages
{
    public class UserModel : PageModel
    {
        public string userName = null;
        public int validUser = 0;

        public void OnGet()
        {
            VerifyLogin();
        }

        void VerifyLogin()
        {

            if (HttpContext.Session.GetInt32("Login") != null)
                validUser = (int)HttpContext.Session.GetInt32("Login");
            else
                validUser = 0;

            if (HttpContext.Session.GetString("UserName") != null)
                userName = HttpContext.Session.GetString("UserName");
            else
                userName = null;

        }
    }
}
