IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'WeatherData' 
	   AND 	  type = 'V')
	DROP VIEW WeatherData
GO

CREATE VIEW WeatherData
AS

SELECT
WEATHER_PARAMETER.WeatherParameterId,
WEATHER_PARAMETER.ParameterName,
WEATHER_PARAMETER.Unit,
WEATHER_DATA.[Value],
WEATHER_DATA.[TimeStamp]
FROM WEATHER_PARAMETER 
INNER JOIN WEATHER_DATA ON WEATHER_PARAMETER.WeatherParameterId = WEATHER_DATA.WeatherParameterId 
GO