﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;

namespace LoginApp.Models
{
    public class Weather
    {

        public int WeatherParameterId { get; set; }
        public string WeatherParameterName { get; set; }
        public double WeatherParameterValue { get; set; }
        public string WeatherParameterUnit { get; set; }
        public DateTime WeatherParameterTimeStamp { get; set; }

        public List<Weather> GetWeatherData(string connectionString)
        {

            List<Weather> weatherData = new List<Weather>();

            SqlConnection con = new SqlConnection(connectionString);

            string selectSQL = "select WeatherParameterId, ParameterName, [Value], Unit, [TimeStamp] from WeatherData order by [TimeStamp]";

            con.Open();

            SqlCommand cmd = new SqlCommand(selectSQL, con);

            SqlDataReader dr = cmd.ExecuteReader();

            if (dr != null)
            {
                while (dr.Read())
                {
                    Weather weather = new Weather();

                    weather.WeatherParameterId = Convert.ToInt32(dr["WeatherParameterId"]);
                    weather.WeatherParameterName = dr["ParameterName"].ToString();
                    weather.WeatherParameterValue = Convert.ToDouble(dr["Value"]);
                    weather.WeatherParameterUnit = dr["Unit"].ToString();
                    weather.WeatherParameterTimeStamp = Convert.ToDateTime(dr["TimeStamp"]);

                    weatherData.Add(weather);
                }
            }
            return weatherData;
        }

    }
}